
{: test that unresolved pointer reference causes a compilation error }

program e1010( output );

var
   i : integer;
   x  : real;

type
   prec1 = ^rec1;
   rec1 = record
             s    : packed array[1..8] of char;
             link : ^rec2;
          end;
{ !!! rec2 is not resolved before the end of the type declaration }

var
   pr : prec1;

type
   rec2 = record
             s2    : packed array[1..8] of char;
             link2 : prec1;
          end;


begin { e1010 }
   i := $8000000;
   x := 12.5;
   writeln( 'x is ', x:1:1, ', i is ', i:1 );
   writeln( 'unresolved pointer reference not detected' );
end. { e1010 }

